using System;
using System.Collections.Generic;
using System.Diagnostics.Metrics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Resource
{
    /// <summary>
    /// 商邀资料
    /// </summary>
    [SugarTable("Res_InvitationOfficialActivityData")]
    public class Res_InvitationOfficialActivityData:EntityBase
    {
        /// <summary>
        /// 邀请方国家
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="varchar(150)")]
        public string Country { get; set; }
        /// <summary>
        /// 城市
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(150)")]
        public string City { get; set; }
        /// <summary>
        /// 邀请方名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(MAX)")]
        public string UnitName { get; set; }
        /// <summary>
        ///邀请方官网
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(120)")]
        public string UnitWeb { get; set; }
        /// <summary>
        /// 涉及领域
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(150)")]
        public string Field { get; set; }
        /// <summary>
        /// 邀请方地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(225)")]
        public string Address { get; set; }
        /// <summary>
        /// 邀请方信息
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(MAX)")]
        public string UnitInfo { get; set; }
        /// <summary>
        /// 联系人
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(120)")]
        public string Contact { get; set; }
        /// <summary>
        /// 职务
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(120)")]
        public string Job { get; set; }
        /// <summary>
        /// 联系电话
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(120)")]
        public string Tel { get; set; }
        /// <summary>
        /// 电子邮箱
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(120)")]
        public string Email { get; set; }
        /// <summary>
        /// 微信
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(120)")]
        public string WeChat { get; set; }
        /// <summary>
        /// fb
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(120)")]
        public string FaceBook { get; set; }
        /// <summary>
        /// ins
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(120)")]
        public string Ins { get; set; }
        /// <summary>
        /// 团名
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(120)")]
        public string Delegation { get; set; }
        /// <summary>
        /// 文件地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(120)")]
        public string FilePath { get; set; }
        /// <summary>
        /// 修改版文件地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(120)")]
        public string SndFilePath { get; set; }
        /// <summary>
        /// 传真号码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(120)")]
        public string Fax { get; set; }
    }
}
